<template>
  <section class="pt-[4rem]">
    <Carousel :wrap-around="true" :autoplay="3000">
      <Slide v-for="slide in detail.images" :key="slide">
        <div class="carousel__item">
          <img :src="slide" alt="slider" class="carousel__img" />
        </div>
      </Slide>

      <template #addons>
        <Navigation />
      </template>
    </Carousel>
  </section>
</template>

<script>
export default {
  name: "Carousel",
  props: ["detail"],
  components: {
    Carousel,
    Slide,
    Navigation,
  },
};
</script>

<script setup>
import "vue3-carousel/dist/carousel.css";
import { Carousel, Slide, Navigation } from "vue3-carousel";
</script>

<style>
.carousel__img {
  height: 250px;
  width: 100%;
  overflow: hidden;
  object-fit: cover;
  display: flex;
  align-items: center;
  justify-content: center;
}

.carousel__item {
  height: 250px;
  width: 100%;
  overflow: hidden;
  object-fit: cover;
  display: flex;
  align-items: center;
  justify-content: center;
}

.carousel__slide {
  padding: 10px;
}
.carousel__prev--in-active,
.carousel__next--in-active {
  display: none;
}
.carousel__prev,
.carousel__next {
  display: none;
}
</style>
